diff --git ahkab.spec ahkab.spec
index 80e127875e..fa46beb828 100644
--- ahkab.spec
+++ ahkab.spec
@@ -7,7 +7,7 @@
 ############ General Information ############
 Name: ahkab
 Version: 0.18
-Release: 8%{?dist}
+Release: 9%{?dist}
 Summary: A SPICE-like electronic circuit simulator written in Python
 Group: Applications/Engineering	
 License: GPLv2
@@ -24,9 +24,6 @@ BuildRequires: python3-devel python3-setuptools
 
 %endif # if with_python3
 
-Requires: sympy python-matplotlib numpy 
-Requires: python >= 2.6
-
 %if 0%{?with_python3}
 %package -n python3-ahkab
 
@@ -39,10 +36,23 @@ Requires: python3-numpy
 %endif # if with_python3
 
 ############ Description and Python3 Global Config ############
-%description
-A SPICE-like electronic circuit simulator written in Python.
+%global _description\
+A SPICE-like electronic circuit simulator written in Python.\
 It can be used to do AC analysis, DC sweep, Transient analysis and more.
 
+%description %_description
+
+%package -n python2-ahkab
+Summary: %summary
+Requires: sympy python-matplotlib numpy
+Requires: python >= 2.6
+%{?python_provide:%python_provide python2-ahkab}
+# Remove before F30
+Provides: ahkab = %{version}-%{release}
+Obsoletes: ahkab < %{version}-%{release}
+
+%description -n python2-ahkab %_description
+
 %if 0%{?with_python3}
 
 %description -n python3-ahkab
@@ -93,7 +103,7 @@ popd
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
 ############ Files ############
-%files
+%files -n python2-ahkab
 %doc README.md COPYING
 %{python2_sitelib}/ahkab/
 %{python2_sitelib}/ahkab-*.egg-info
@@ -110,6 +120,10 @@ popd
 
 ############ Changelog ############
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.18-9
+- Python 2 binary package renamed to python2-ahkab
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.18-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git firewalld.spec firewalld.spec
index d14eb8e5df..4be473fa75 100644
--- firewalld.spec
+++ firewalld.spec
@@ -8,7 +8,7 @@
 Summary: A firewall daemon with D-Bus interface providing a dynamic firewall
 Name: firewalld
 Version: 0.4.4.5
-Release: 3%{?dist}
+Release: 4%{?dist}
 URL:     http://www.firewalld.org
 License: GPLv2+
 Source0: https://github.com/t-woerner/firewalld/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
@@ -79,7 +79,8 @@ Obsoletes: firewalld-config-workstation <= 0.3.15
 firewalld is a firewall service daemon that provides a dynamic customizable 
 firewall with a D-Bus interface.
 
-%package -n python-firewall
+%package -n python2-firewall
+%{?python_provide:%python_provide python2-firewall}
 Summary: Python2 bindings for firewalld
 Provides: python2-firewall
 Obsoletes: python2-firewall
@@ -88,7 +89,7 @@ Requires: python-slip-dbus
 Requires: python-decorator
 Requires: pygobject3-base
 
-%description -n python-firewall
+%description -n python2-firewall
 Python2 bindings for firewalld.
 
 %if 0%{?with_python3}
@@ -368,7 +369,7 @@ fi
 %{_mandir}/man1/firewalld*.1*
 %{_mandir}/man5/firewall*.5*
 
-%files -n python-firewall
+%files -n python2-firewall
 %attr(0755,root,root) %dir %{python2_sitelib}/firewall
 %attr(0755,root,root) %dir %{python2_sitelib}/firewall/config
 %attr(0755,root,root) %dir %{python2_sitelib}/firewall/core
@@ -436,6 +437,10 @@ fi
 %{_mandir}/man1/firewall-config*.1*
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.4.5-4
+- Python 2 binary package renamed to python2-firewall
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Mon Jul 31 2017 Thomas Woerner <twoerner@redhat.com> - 0.4.4.5-3
 - Fix spec file for next RHEL versions
 
diff --git fts-rest.spec fts-rest.spec
index ac9aeb03e5..c35c96bbc0 100644
--- fts-rest.spec
+++ fts-rest.spec
@@ -5,7 +5,7 @@
 
 Name:           fts-rest
 Version:        3.6.3
-Release:        3%{?dist}
+Release:        4%{?dist}
 BuildArch:      noarch
 Summary:        FTS3 Rest Interface
 Group:          System Environment/Daemon
@@ -119,7 +119,8 @@ Requires:       %{name} = %{version}-%{release}
 %description selinux
 SELinux support for fts-rest
 
-%package -n python-fts
+%package -n python2-fts
+%{?python_provide:%python_provide python2-fts}
 Summary:        FTS3 database model
 Group:          Applications/Internet
 Requires:       m2crypto
@@ -130,7 +131,7 @@ Requires:       python-sqlalchemy
 Requires:       python-sqlalchemy0.8
 %endif
 
-%description -n python-fts
+%description -n python2-fts
 This package provides an object model of the FTS3
 database, using sqlalchemy ORM.
 
@@ -301,12 +302,16 @@ EOF
 
 %files selinux
 
-%files -n python-fts
+%files -n python2-fts
 %{python_sitelib}/fts3
 %{python_sitelib}/fts3.egg-info
 %doc LICENSE
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
+- Python 2 binary package renamed to python2-fts
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.6.3-3
 - Python 2 binary package renamed to python2-fts-rest
   See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
diff --git gofed.spec gofed.spec
index 3c80bbcb71..5cebbb0e74 100644
--- gofed.spec
+++ gofed.spec
@@ -32,7 +32,7 @@
 
 Name:		gofed
 Version:	1.0.0
-Release:	0.14.rc1%{?dist}
+Release:	0.15.rc1%{?dist}
 Summary:	Tool for development of golang devel packages
 License:	GPLv2+
 URL:		https://github.com/%{project}/%{repo}
@@ -172,14 +172,15 @@ ExclusiveArch: %{ix86} x86_64 %{arm} aarch64 ppc64le s390x %{mips}
 %description docker
 Run gofed commands as a container
 
-%package -n python-cmdsignature
+%package -n python2-cmdsignature
 Summary: Command signature python module
 BuildArch: noarch
 BuildRequires: PyYAML
 Requires: python >= 2.7.5
 Requires: PyYAML
+%{?python_provide:%python_provide python2-cmdsignature}
 
-%description -n python-cmdsignature
+%description -n python2-cmdsignature
 Command signature python module
 
 %prep
@@ -356,7 +357,7 @@ getent passwd gofed >/dev/null || useradd -r -g gofed -d / -s /sbin/nologin \
 %{python2_sitelib}/gofedinfra
 %{python2_sitelib}/gofedinfra-?.?.?-py2.7.egg-info
 
-%files -n python-cmdsignature
+%files -n python2-cmdsignature
 %license LICENSE 
 %{python2_sitelib}/cmdsignature
 %{python2_sitelib}/cmdsignature-?.?.?-py2.7.egg-info
@@ -375,6 +376,9 @@ getent passwd gofed >/dev/null || useradd -r -g gofed -d / -s /sbin/nologin \
 %{_datadir}/%{name}/*.py
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.0-0.15.rc1
+- python-cmdsignature binary package is renamed to python2-cmdsignature
+
 * Tue Nov 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.0.0-0.14.rc1
 - Fix issues in packaging
 
diff --git libappindicator.spec libappindicator.spec
index 362cb75731..7a4a5102bb 100644
--- libappindicator.spec
+++ libappindicator.spec
@@ -1,6 +1,6 @@
 Name:		libappindicator
 Version:	12.10.0
-Release:	16%{?dist}
+Release:	17%{?dist}
 Summary:	Application indicators library
 
 Group:		System Environment/Libraries
@@ -37,13 +37,14 @@ on KSNI it also works in KDE and will fallback to generic Systray support if
 none of those are available.
 
 
-%package -n python-appindicator
+%package -n python2-appindicator
+%{?python_provide:%python_provide python2-appindicator}
 Summary:	Python 2 bindings for %{name}
 Group:		System Environment/Libraries
 
 Requires:	%{name} = %{version}-%{release}
 
-%description -n python-appindicator
+%description -n python2-appindicator
 This package contains the Python 2 bindings for the appindicator library.
 
 
@@ -173,7 +174,7 @@ find %{buildroot} -type f -name '*.la' -delete
 %{_libdir}/girepository-1.0/AppIndicator-0.1.typelib
 
 
-%files -n python-appindicator
+%files -n python2-appindicator
 %dir %{python_sitearch}/appindicator/
 %{python_sitearch}/appindicator/__init__.py*
 %{python_sitearch}/appindicator/_appindicator.so
@@ -244,6 +245,10 @@ find %{buildroot} -type f -name '*.la' -delete
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 12.10.0-17
+- Python 2 binary package renamed to python2-appindicator
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 12.10.0-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git libcaca.spec libcaca.spec
index 55d6d6a396..5084d4256c 100644
--- libcaca.spec
+++ libcaca.spec
@@ -12,7 +12,7 @@
 Summary: Library for Colour AsCii Art, text mode graphics
 Name: libcaca
 Version: 0.99
-Release: 0.33.%{beta}%{?dist}
+Release: 0.34.%{beta}%{?dist}
 License: WTFPL
 Group: System Environment/Libraries
 URL: http://caca.zoy.org/wiki/libcaca
@@ -78,12 +78,13 @@ rendering features such as line and ellipses drawing, triangle filling and
 sprite blitting.
 
 
-%package -n python-caca
+%package -n python2-caca
+%{?python_provide:%python_provide python2-caca}
 Summary: Python bindings for libcaca
 Group: Development/Libraries
 BuildRequires: python2-devel
 
-%description -n python-caca
+%description -n python2-caca
 This package contains the python bindings for using libcaca from python.
 
 
@@ -170,7 +171,7 @@ rm -rf %{buildroot}
 %{_mandir}/man1/cacaview.1*
 %{_mandir}/man1/img2txt.1*
 
-%files -n python-caca
+%files -n python2-caca
 %defattr(-,root,root,-)
 %doc python/examples
 %{python2_sitelib}/caca/
@@ -184,6 +185,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.99-0.34.beta19
+- Python 2 binary package renamed to python2-caca
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.99-0.33.beta19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git libchewing.spec libchewing.spec
index d6748715a8..3166329928 100644
--- libchewing.spec
+++ libchewing.spec
@@ -6,7 +6,7 @@
 
 Name:           libchewing
 Version:        0.5.1
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Intelligent phonetic input method library for Traditional Chinese
 Summary(zh_TW): %{name_zh_TW}
 
@@ -50,18 +50,23 @@ library.
 像是標頭檔(header files)，以及函式庫。
 
 
-%package -n %{name}-python
+%package -n python2-%{name}
 Summary:        Python binding for libchewing
 Summary(zh_TW): %{name_zh_TW} python 綁定
 Group:          Development/Libraries
 BuildRequires:  python2-devel
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 Requires:       python
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: %{name}-python = %{version}-%{release}
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
+Obsoletes: %{name}-python < %{version}-%{release}
 
-%description -n %{name}-python
+%description -n python2-%{name}
 Python binding of libchewing.
 
-%description -l zh_TW -n %{name}-python
+%description -l zh_TW -n python2-%{name}
 %{name_zh_TW} python 綁定
 
 %prep
@@ -112,10 +117,14 @@ fi
 %{_libdir}/pkgconfig/chewing.pc
 %{_libdir}/*.so
 
-%files python
+%files -n python2-%{name}
 %{libchewing_python_dir}
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-6
+- Python 2 binary subpackage is renamed to python2-libchewing
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git libgpod.spec libgpod.spec
index 490b0b6a4d..af82b34559 100644
--- libgpod.spec
+++ libgpod.spec
@@ -18,7 +18,7 @@
 Summary: Library to access the contents of an iPod
 Name: libgpod
 Version: 0.8.3
-Release: 19%{?dist}
+Release: 20%{?dist}
 License: LGPLv2+
 Group: System Environment/Libraries
 URL: http://www.gtkpod.org/libgpod.html
@@ -91,13 +91,14 @@ smart playlists, playcounts, ratings, podcasts, album artwork, photos, etc.
 This package contains the API documentation.
 
 
-%package -n python-gpod
+%package -n python2-gpod
+%{?python_provide:%python_provide python2-gpod}
 Summary: Python module to access iPod content
 Group: Development/Languages
 Requires: %{name}%{?_isa} = %{version}-%{release}
 Requires: python-mutagen
 
-%description -n python-gpod
+%description -n python2-gpod
 A python module to access iPod content.  This module provides bindings to the
 libgpod library.
 
@@ -209,7 +210,7 @@ find %{buildroot} -type f -name "*.a" -delete
 %{_datadir}/gtk-doc
 
 
-%files -n python-gpod
+%files -n python2-gpod
 %doc COPYING bindings/python/README bindings/python/examples
 %{python_sitearch}/gpod
 
@@ -224,6 +225,10 @@ find %{buildroot} -type f -name "*.a" -delete
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.3-20
+- Python 2 binary package renamed to python2-gpod
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git liblouis.spec liblouis.spec
index 79a8083bd3..f980191d1a 100644
--- liblouis.spec
+++ liblouis.spec
@@ -5,7 +5,7 @@
 
 Name:           liblouis
 Version:        2.6.2
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Braille translation and back-translation library
 
 Group:          System Environment/Libraries
@@ -74,7 +74,8 @@ Six test programs are provided as part of the liblouis package. They
 are intended for testing liblouis and for debugging tables. None of
 them is suitable for braille transcription.
 
-%package -n python-louis
+%package -n python2-louis
+%{?python_provide:%python_provide python2-louis}
 Summary:        Python 2 language bindings for %{name}
 Group:          Development/Languages
 BuildArch:      noarch
@@ -82,7 +83,7 @@ Requires:       %{name} = %{version}-%{release}
 Obsoletes:      %{name}-python < 2.6.2-3
 Provides:       %{name}-python = %{version}-%{release}
 
-%description -n python-louis
+%description -n python2-louis
 This package provides Python 2 language bindings for %{name}.
 
 
@@ -182,7 +183,7 @@ fi
 %{_bindir}/lou_*
 %{_mandir}/man1/lou_*.1*
 
-%files -n python-louis
+%files -n python2-louis
 %doc python/README
 %{python_sitelib}/louis/
 
@@ -196,6 +197,10 @@ fi
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.6.2-13
+- Python 2 binary package renamed to python2-louis
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Fri Nov 03 2017 Martin Gieseking <martin.gieseking@uos.de> - 2.6.2-12
 - Applied security fixes from EL 7.4 (CVE-2014-8184, CVE-2017-13738, CVE-2017-13740, CVE-2017-13741, CVE-2017-13742, CVE-2017-13743, CVE-2017-13744)
 - Dropped redundant parts of the spec file.
diff --git libpwquality.spec libpwquality.spec
index 05a07e8a65..65d528ff56 100644
--- libpwquality.spec
+++ libpwquality.spec
@@ -1,7 +1,7 @@
 Summary: A library for password generation and password quality checking
 Name: libpwquality
 Version: 1.4.0
-Release: 3%{?dist}
+Release: 4%{?dist}
 # The package is BSD licensed with option to relicense as GPLv2+
 # - this option is redundant as the BSD license allows that anyway.
 License: BSD or GPLv2+
@@ -42,12 +42,13 @@ Files needed for development of applications using the libpwquality
 library.
 See the pwquality.h header file for the API.
 
-%package -n python-pwquality
+%package -n python2-pwquality
+%{?python_provide:%python_provide python2-pwquality}
 Group: Development/Libraries
 Summary: Python bindings for the libpwquality library
 Requires: libpwquality%{?_isa} = %{version}-%{release}
 
-%description -n python-pwquality
+%description -n python2-pwquality
 This is pwquality Python module that provides Python bindings
 for the libpwquality library. These bindings can be used
 for easy password quality checking and generation of random
@@ -138,7 +139,7 @@ mkdir $RPM_BUILD_ROOT%{_secconfdir}/pwquality.conf.d
 %{_libdir}/pkgconfig/*.pc
 %{_mandir}/man3/*
 
-%files -n python-pwquality
+%files -n python2-pwquality
 %defattr(-,root,root,-)
 %{python_sitearch}/pwquality.so
 %{python_sitearch}/*.egg-info
@@ -149,6 +150,10 @@ mkdir $RPM_BUILD_ROOT%{_secconfdir}/pwquality.conf.d
 %{python3_sitearch}/*.egg-info
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.0-4
+- Python 2 binary package renamed to python2-pwquality
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git librapi.spec librapi.spec
index 8ea461bf09..49ef4db4f7 100644
--- librapi.spec
+++ librapi.spec
@@ -2,7 +2,7 @@
 
 Name:           librapi
 Version:        0.15.2
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Library to connect to Pocket PC devices
 
 Group:          System Environment/Libraries
@@ -38,12 +38,13 @@ Requires: libsynce-devel
 %description devel
 This package contains the header files and link libraries for librapi
 
-%package -n python-rapi
+%package -n python2-rapi
+%{?python_provide:%python_provide python2-rapi}
 Summary: Python bindings to librapi (part of SynCE)
 Group: Development/Libraries
 Requires: %{name} = %{version}-%{release}
 
-%description -n python-rapi
+%description -n python2-rapi
 This package contains the python bindings to librapi, a component
 of the SynCE PocketPC connection framework.
 The python module to import is named "pyrapi2"
@@ -88,11 +89,15 @@ rm -f $RPM_BUILD_ROOT%{python_sitearch}/pyrapi2.{la,a}
 %{_libdir}/pkgconfig/*.pc
 %{_mandir}/man3/*
 
-%files -n python-rapi
+%files -n python2-rapi
 %{python_sitearch}/pyrapi2.so
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.15.2-15
+- Python 2 binary package renamed to python2-rapi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git librra.spec librra.spec
index f4d0d26143..ff332adf8c 100644
--- librra.spec
+++ librra.spec
@@ -2,7 +2,7 @@
 
 Name:           librra
 Version:        0.14
-Release:        17%{?dist}
+Release:        18%{?dist}
 Summary:        Connection to Pocket PC devices, part of SynCE
 
 Group:          System Environment/Libraries
@@ -34,12 +34,13 @@ Requires: libsynce-devel
 %description devel
 This package contains the header files and link libraries for librra
 
-%package -n python-rra
+%package -n python2-rra
+%{?python_provide:%python_provide python2-rra}
 Summary: Python bindings to librra (part of SynCE)
 Group: Development/Libraries
 Requires: %{name} = %{version}-%{release}
 
-%description -n python-rra
+%description -n python2-rra
 This package contains the python bindings to librra, a componenent
 of the SynCE PocketPC connection framework.
 The python module to import is named "pyrra"
@@ -83,11 +84,15 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/pkgconfig/*.pc
 %{_includedir}/rra
 
-%files -n python-rra
+%files -n python2-rra
 %{python_sitearch}/pyrra.so
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.14-18
+- Python 2 binary package renamed to python2-rra
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git mirrorbrain.spec mirrorbrain.spec
index 230fd33243..c539a71c50 100644
--- mirrorbrain.spec
+++ mirrorbrain.spec
@@ -17,7 +17,7 @@ Name:		mirrorbrain
 Summary:	A download redirector and metalink generator
 Url:		http://mirrorbrain.org/
 Version:	2.18.1
-Release:	15%{?dist}
+Release:	16%{?dist}
 # ASL licensed files are: mod_autoindex_mb.c, mod_mirrorbrain.c, null-rsync
 # Other files are licensed under the GPLv2
 License:	ASL 2.0 and GPLv2
@@ -118,7 +118,8 @@ This package contains utilities provided by the MirrorBrain framework to
 maintain the database and scan mirrors.
 
 
-%package -n python-mb
+%package -n python2-mb
+%{?python_provide:%python_provide python2-mb}
 License:	ASL 2.0 and GPLv2
 Summary:	Python module used by the MirrorBrain commandline tools
 Group:		Applications/Internet
@@ -127,7 +128,7 @@ Requires:	python-psycopg2
 Requires:	geoip
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 
-%description -n python-mb
+%description -n python2-mb
 MirrorBrain is a scalable download redirector.
 
 This package contains a Python module (named "mb") for easily maintaining
@@ -238,7 +239,7 @@ exit 0
 %config(noreplace) %{_sysconfdir}/logrotate.d/mirrorprobe
 %{_datadir}/mirrorbrain
 
-%files -n python-mb
+%files -n python2-mb
 %{_bindir}/mb
 %{python2_sitearch}/mb*
 
@@ -246,6 +247,10 @@ exit 0
 %{_bindir}/scanner
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.18.1-16
+- Python 2 binary package renamed to python2-mb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.18.1-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git mod_wsgi.spec mod_wsgi.spec
index e1b571bba8..2cb1a72c9c 100644
--- mod_wsgi.spec
+++ mod_wsgi.spec
@@ -14,7 +14,7 @@
 
 Name:           mod_wsgi
 Version:        4.5.20
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A WSGI interface for Python web applications in Apache
 Group:          System Environment/Libraries
 License:        ASL 2.0
@@ -25,7 +25,6 @@ Source2:        wsgi-python3.conf
 
 BuildRequires:  httpd-devel, python-devel
 BuildRequires:  python2-sphinx
-Requires:       httpd-mmn = %{_httpd_mmn}
 
 # Suppress auto-provides for module DSO
 %{?filter_provides_in: %filter_provides_in %{_httpd_moddir}/.*\.so$}
@@ -48,14 +47,27 @@ existing WSGI adapters for mod_python or CGI.
 
 %endif
 
-%description
-The mod_wsgi adapter is an Apache module that provides a WSGI compliant
-interface for hosting Python based web applications within Apache. The
-adapter is written completely in C code against the Apache C runtime and
-for hosting WSGI applications within Apache has a lower overhead than using
-existing WSGI adapters for mod_python or CGI.
+%global _description\
+The mod_wsgi adapter is an Apache module that provides a WSGI compliant\
+interface for hosting Python based web applications within Apache. The\
+adapter is written completely in C code against the Apache C runtime and\
+for hosting WSGI applications within Apache has a lower overhead than using\
+existing WSGI adapters for mod_python or CGI.\
 
 
+%description %_description
+
+%package -n python2-%{name}
+Summary: %summary
+Requires:       httpd-mmn = %{_httpd_mmn}
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: mod_wsgi = %{version}-%{release}
+Provides: mod_wsgi%{?_isa} = %{version}-%{release}
+Obsoletes: mod_wsgi < %{version}-%{release}
+
+%description -n python2-%{name} %_description
+
 %prep
 %setup -qn %{name}-%{version}
 
@@ -108,7 +120,7 @@ install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_httpd_modconfdir}/10-wsgi.conf
 mv $RPM_BUILD_ROOT%{_bindir}/mod_wsgi-express{,-2}
 ln -s %{_bindir}/mod_wsgi-express-2 $RPM_BUILD_ROOT%{_bindir}/mod_wsgi-express
 
-%files
+%files -n python2-%{name}
 %license LICENSE
 %doc CREDITS.rst README.rst
 %config(noreplace) %{_httpd_modconfdir}/*wsgi.conf
@@ -130,6 +142,10 @@ ln -s %{_bindir}/mod_wsgi-express-2 $RPM_BUILD_ROOT%{_bindir}/mod_wsgi-express
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.5.20-2
+- Python 2 binary package renamed to python2-mod_wsgi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Fri Oct 20 2017 Joe Orton <jorton@redhat.com> - 4.5.20-1
 - update to 4.5.20
 
diff --git nautilus-python.spec nautilus-python.spec
index fd28a22995..949c6db253 100644
--- nautilus-python.spec
+++ nautilus-python.spec
@@ -2,7 +2,7 @@
 
 Name:           nautilus-python
 Version:        1.1
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Python bindings for Nautilus
 
 Group:          Development/Libraries
@@ -16,19 +16,30 @@ BuildRequires:  pygobject3-devel
 BuildRequires:  gtk-doc
 BuildRequires:  autoconf automake libtool
 
-Requires:       nautilus >= 3.0
+%global _description\
+Python bindings for Nautilus\
 
-%description
-Python bindings for Nautilus
 
+%description %_description
+
+%package -n python2-nautilus
+Summary: %summary
+Requires:       nautilus >= 3.0
+%{?python_provide:%python_provide python2-nautilus}
+# Remove before F30
+Provides: nautilus-python = %{version}-%{release}
+Provides: nautilus-python%{?_isa} = %{version}-%{release}
+Obsoletes: nautilus-python < %{version}-%{release}
+
+%description -n python2-nautilus %_description
 
-%package devel
+%package -n python2-nautilus-devel
 Summary:        Python bindings for Nautilus
 Group:          Development/Libraries
-Requires:       %{name} = %{version}-%{release}
+Requires:       python2-nautilus = %{version}-%{release}
 Requires:       pkgconfig
 
-%description devel
+%description -n python2-nautilus-devel
 Python bindings for Nautilus
 
 
@@ -56,13 +67,13 @@ rm -rfv $RPM_BUILD_ROOT%{_docdir}
 %postun -p /sbin/ldconfig
 
 
-%files
+%files -n python2-nautilus
 %license COPYING
 %doc README AUTHORS NEWS
 %{_libdir}/nautilus/extensions-%{NAUTILUS_MAYOR_VER}/lib%{name}.so
 %dir %{_datadir}/%{name}/extensions
 
-%files devel
+%files -n python2-nautilus-devel
 %license COPYING
 %doc README AUTHORS NEWS
 %doc examples/
@@ -71,6 +82,10 @@ rm -rfv $RPM_BUILD_ROOT%{_docdir}
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1-15
+- Python 2 binary packages renamed to python2-nautilus and python2-nautilus-devel
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git pjproject.spec pjproject.spec
index 580ff7ac3d..89be612a5b 100644
--- pjproject.spec
+++ pjproject.spec
@@ -1,7 +1,7 @@
 Name:    pjproject
 Summary: Libraries for building embedded/non-embedded VoIP applications
 Version: 2.6
-Release: 6%{?dist}
+Release: 7%{?dist}
 Group:   System Environment/Libraries
 License: GPLv2+
 URL:     http://www.pjsip.org
@@ -80,13 +80,14 @@ that is used as the reference implementation for PJSIP, PJNATH, and PJMEDIA.
 Despite its simple command line appearance, it does pack many features!
 
 
-%package -n python-pjsua
+%package -n python2-pjsua
+%{?python_provide:%python_provide python2-pjsua}
 Summary: PJSUA Python Module
 Group: Development/Languages
 Requires: %{name} = %{version}-%{release}
 
 
-%description -n python-pjsua
+%description -n python2-pjsua
 The PJSUA for Python Module is an object oriented Python
 wrapper/abstraction/modules for PJSUA API.
 
@@ -212,7 +213,7 @@ find %{buildroot} -type f -name "*.a" -delete
 %{_includedir}/*.hpp
 %{_libdir}/pkgconfig/libpjproject.pc
 
-%files -n python-pjsua
+%files -n python2-pjsua
 %doc pjsip-apps/src/python/samples
 %{python_sitearch}/_pjsua.so
 %{python_sitearch}/pjsua-*.egg-info
@@ -223,6 +224,10 @@ find %{buildroot} -type f -name "*.a" -delete
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.6-7
+- Python 2 binary package renamed to python2-pjsua
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Sun Sep 03 2017 Jared Smith <jsmith@fedoraproject.org> - 2.6-6
 - Don't run make in parallel, to try to identify build problem on PPC builds
 
diff --git pkgwat.spec pkgwat.spec
index b7f693ad1a..ee2f3f0daa 100644
--- pkgwat.spec
+++ pkgwat.spec
@@ -13,7 +13,7 @@
 
 Name:             pkgwat
 Version:          0.11
-Release:          7%{?dist}
+Release:          8%{?dist}
 Summary:          CLI tool for querying the fedora packages webapp
 
 Group:            Development/Libraries
@@ -32,16 +32,26 @@ BuildRequires:    python3-devel
 BuildRequires:    python3-setuptools
 %endif
 
+%global _description\
+Pronounced "package WAT", pkgwat is a fast CLI tool for querying the fedora\
+packages webapp.  https://apps.fedoraproject.org/packages/\
+\
+You can make its search even better by helping us tag packages.\
+https://apps.fedoraproject.org/tagger
+
+%description %_description
+
+%package -n python2-pkgwat
+Summary: %summary
 Requires:         python-pkgwat-api
 Requires:         python-cliff
 Requires:         python-fabulous
+%{?python_provide:%python_provide python2-pkgwat}
+# Remove before F30
+Provides: pkgwat = %{version}-%{release}
+Obsoletes: pkgwat < %{version}-%{release}
 
-%description
-Pronounced "package WAT", pkgwat is a fast CLI tool for querying the fedora
-packages webapp.  https://apps.fedoraproject.org/packages/
-
-You can make its search even better by helping us tag packages.
-https://apps.fedoraproject.org/tagger
+%description -n python2-pkgwat %_description
 
 %if 0%{?with_python3}
 %package -n python3-pkgwat
@@ -92,7 +102,7 @@ popd
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
 
-%files
+%files -n python2-pkgwat
 %doc README.rst LICENSE
 %{python2_sitelib}/pkgwat/cli
 %{python2_sitelib}/%{modname}-%{version}*
@@ -108,6 +118,10 @@ popd
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.11-8
+- Python 2 binary package renamed to python2-pkgwat
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Mon Jul 31 2017 Kevin Fenzi <kevin@scrye.com> - 0.11-7
 - Enable python3 now. Fixes bug #1472362
 
